summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLukas Bulwahn <lukas.bulwahn@oss.bmw-carit.de>2013-06-28 09:57:11 (GMT)
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-06-28 10:02:41 (GMT)
commit524572af7eab6a05f470de485fe092f500132292 (patch)
tree086aeee7f0b310a5310c9b8b0830b6747fda3a99 /scripts
parent29e55997caeb9c6367f9a340e153f829228f36ed (diff)
downloadpoky-524572af7eab6a05f470de485fe092f500132292.tar.gz
python-argparse: adding runtime dependency on python-codecs
When typing 'import argparse' in the python shell on a minimal image with only the python-argparse recipe installed, python reports: Python 2.7.3 (default, Jun 27 2013, 08:26:25) [GCC 4.7.2] on linux2 Type "help", "copyright", "credits" or "license" for more information. >>> import argparse; Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/lib/python2.7/site-packages/argparse.py", line 91, in <module> from gettext import gettext as _ ImportError: No module named gettext The python-argparse recipe requires the python gettext module, which is currently provided by python-codecs. Hence, this commit adds python-codecs as runtime dependency to resolve the issue. (From OE-Core rev: 8d0e84bdfaf63ad61be7b015dd55dacccfa9132c) Signed-off-by: Lukas Bulwahn <lukas.bulwahn@oss.bmw-carit.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
0 files changed, 0 insertions, 0 deletions